### Constructor

# Gsk MaskNodenew

since: 4.10

#### Declaration [src]

    GskRenderNode*
    gsk_mask_node_new (
      GskRenderNode* source,
      GskRenderNode* mask,
      GskMaskMode mask_mode
    )

#### Description [src]

Creates a `GskRenderNode` that will mask a given node by another.

The `mask_mode` determines how the ‘mask values’ are derived from the colors of the `mask`. Applying the mask consists of multiplying the ‘mask value’ with the alpha of the source.

Available since: 4.10

#### Parameters

`source`

  Type: `GskRenderNode`

  The source node to be drawn.

  The data is owned by the caller of the function.

`mask`

  Type: `GskRenderNode`

  The node to be used as mask.

  The data is owned by the caller of the function.

`mask_mode`

  Type: `GskMaskMode`

  The mask mode to use.

#### Return value

Type: `GskMaskNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.